## ros-rolling-py-trees 2.2.1

=== debian/changelog ===
ros-rolling-py-trees (2.2.1-2jammy) jammy; urgency=high

  * [tox] format with black, usort and fix flake8 warnings, #397 <https://github.com/splintered-reality/py_trees/pull/397>
  * [docs] sphinx 1.4 -> 5.3, #391 <https://github.com/splintered-reality/py_trees/pull/391>

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 28 Jan 2023 08:00:00 -0000

ros-rolling-py-trees (2.2.0-2jammy) jammy; urgency=high

  * [poetry] setuptools -> poetry, #389 <https://github.com/splintered-reality/py_trees/pull/389>
  * [common] remove viral ramifications of Any from ComparisonExpression, #386 <https://github.com/splintered-reality/py_trees/pull/386>
  * [display] bugfix off-the-grid bb nodes and render exclusive write edges, #383 <https://github.com/splintered-reality/py_trees/pull/383>
  * [tests] it's mypy now, by the time this ends, it'll be someone else's py , #380 <https://github.com/splintered-reality/py_trees/pull/380>
  * [behaviours, decorators] behaviours.Count -> behaviours.StatusQueue + decorators.Count (new), #376 <https://github.com/splintered-reality/py_trees/pull/376>
  * [behaviours, decorators, composites] abstract base classes, #375 <https://github.com/splintered-reality/py_trees/pull/375>
  * [behaviours] StatusSequence -> StatusQueue, #372 <https://github.com/splintered-reality/py_trees/pull/372>
  * [decorators] repeat and retry, #371 <https://github.com/splintered-reality/py_trees/pull/371>
  * [composites] use explicit composite arguments, #370 <https://github.com/splintered-reality/py_trees/pull/370>
  * [composites] restart the sequence, but allow children to retain their state #368 <https://github.com/splintered-reality/py_trees/pull/368>
  * [common] a practical inf, #366 <https://github.com/splintered-reality/py_trees/pull/366>
  * [composites] avoid redundant stop for non-running children #360 <https://github.com/splintered-reality/py_trees/pull/360>
  * [display] bugfix unicode use when no unicode for dot #359 <https://github.com/splintered-reality/py_trees/pull/359>
  * [tests] use tox, flake8 in prem-merge #354 <https://github.com/splintered-reality/py_trees/pull/354>
  * [tests] switch from deprecating nose to pytest, #350 <https://github.com/splintered-reality/py_trees/pull/350>

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 23 Jan 2023 08:00:00 -0000

ros-rolling-py-trees (2.1.6-2jammy) jammy; urgency=high

  * [tests] mypy conformance,  #327 <https://github.com/splintered-reality/py_trees/pull/327>
  * [composites] show ghost states for sequence children,  #330 <https://github.com/splintered-reality/py_trees/pull/330> (reverts behaviour introduced in #325 <https://github.com/splintered-reality/py_trees/pull/325>)

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 31 May 2021 07:00:00 -0000

ros-rolling-py-trees (2.1.5-2jammy) jammy; urgency=high

  * [composites] sequences w/o memory, #325 <https://github.com/splintered-reality/py_trees/pull/325>
  * [composites] selectors with memory, #324 <https://github.com/splintered-reality/py_trees/pull/324>
  * [display] unicode trees are unicode, not ascii #324 <https://github.com/splintered-reality/py_trees/pull/324>

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 09 May 2021 07:00:00 -0000

ros-rolling-py-trees (2.1.4-2jammy) jammy; urgency=high

  * [behaviours] added BlackboardToStatus, #320 <https://github.com/splintered-reality/py_trees/pull/320>
  * [idioms] bugfix lost append in blackboard names for either_or, #319 <https://github.com/splintered-reality/py_trees/pull/319>
  * [docs] contributing guidelines added, #315 <https://github.com/splintered-reality/py_trees/pull/315>

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 24 Feb 2021 08:00:00 -0000

ros-rolling-py-trees (2.1.3-2jammy) jammy; urgency=high

  * [blackboard] convenience absolute_name() api for blackboard clients, #306 <https://github.com/splintered-reality/py_trees/pull/306>

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 13 Dec 2020 08:00:00 -0000

ros-rolling-py-trees (2.1.2-2jammy) jammy; urgency=high

  * [sequences] bugfix current child setting whilst moving through children, #304 <https://github.com/splintered-reality/py_trees/pull/304>

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 05 Nov 2020 08:00:00 -0000

ros-rolling-py-trees (2.1.1-2jammy) jammy; urgency=high

  * [behaviours] generators for variable values in SetBlackboardVariable, #300 <https://github.com/splintered-reality/py_trees/pull/300>

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 11 Aug 2020 07:00:00 -0000

ros-rolling-py-trees (2.1.0-2jammy) jammy; urgency=high

  * [behaviours] CheckBlackboardVariableValue, WaitForBlackboardVariableValue use comparison expressins, #296 <https://github.com/splintered-reality/py_trees/pull/296>
  * [idioms] eternal_guard uses blackboard_names (previously blackboard_name_prefix), #295 <https://github.com/splintered-reality/py_trees/pull/295>
  * [composites] Chooser deprecated, #293 <https://github.com/splintered-reality/py_trees/pull/293>
  * [composites] chain-able add_children for all composites, #290 <https://github.com/splintered-reality/py_trees/pull/290>

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 20 Jul 2020 07:00:00 -0000

ros-rolling-py-trees (2.0.16-2jammy) jammy; urgency=high

  * [behaviours] generators for variable values in SetBlackboardVariable, #300 <https://github.com/splintered-reality/py_trees/pull/300>

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 11 Aug 2020 07:00:00 -0000

ros-rolling-py-trees (2.0.15-2jammy) jammy; urgency=high

  * [composites] fix current_child problems on dynamic child insertion/removal, #289 <https://github.com/splintered-reality/py_trees/pull/289>

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 14 May 2020 07:00:00 -0000

ros-rolling-py-trees (2.0.14-2jammy) jammy; urgency=high

  * [blackboard] bugfix metadata not created on static set, #286 <https://github.com/splintered-reality/py_trees/pull/286>

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 26 Apr 2020 07:00:00 -0000


